import { activeStatus } from '@/enums/active_status'
import { PlatformType } from '@/enums/platform_type'

interface UserClaims {
  tenantShortName: string
  platformType: PlatformType
  isSystem: boolean
  status: activeStatus
  tenantLogo: string
}

export interface User {
  id: string
  phone: string
  fullName: string
  tenantName: string
  permissions: Array<string>
  claims: UserClaims
  token: string
}
