/* eslint-disable no-unused-vars */

export type SystemInfo = {
  offsetWidth: number
  offsetHeight: number
  clientWidth: number
  clientHeight: number
  scrollWidth: number
  scrollHeight: number
  isWideScreen: boolean
  isMobile: boolean
  isAndroid: boolean
  isIos: boolean
  isXsScreen: boolean // <576
  isSmScreen: boolean // >=576
  isMdScreen: boolean // >=768
  isLgScreen: boolean // >=992
  isXlScreen: boolean // >=1200
  isXxlScreen: boolean // >=1600
  xsScreen: boolean // <576
  smScreen: boolean // >=576
  mdScreen: boolean // >=768
  lgScreen: boolean // >=992
  xlScreen: boolean // >=1200
  xxlScreen: boolean // >=1600
}
